---
title: "Get my share for report"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reports

`GET /v2/reports/{id}/my-share`

## Path parameters

- `id` (`report-get-my-share-for-report.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/reports/<id>/my-share'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/<id>/my-share';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/<id>/my-share"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "shareId": "6a9e781b-5ee2-4314-8665-1c09eed0443a",
    "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",
    "reportVersionId": "8f554eac-f5be-4229-b932-cf9099332331",
    "permission": "read",
    "shareType": "connection",
    "relationState": "complete",
    "unavailableRelations": [],
    "reportVersionNumber": 0,
    "reportVersionStatus": "string"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`report-get-my-share-for-report.response.200.data`; any of, required, nullable)
  - any of:
    - `object`
      - `shareId` (`report-get-my-share-for-report.response.200.data.1.shareId`; string, required)
        - format `uuid`
      - `reportId` (`report-get-my-share-for-report.response.200.data.1.reportId`; string, required)
        - format `uuid`
      - `reportVersionId` (`report-get-my-share-for-report.response.200.data.1.reportVersionId`; string, required)
        - format `uuid`
      - `permission` (`report-get-my-share-for-report.response.200.data.1.permission`; string, required)
        - one of `"read"`, `"comment"`, `"suggest"`
      - `shareType` (`report-get-my-share-for-report.response.200.data.1.shareType`; string, required)
        - one of `"connection"`, `"email_invite"`
      - `relationState` (`report-get-my-share-for-report.response.200.data.1.relationState`; string, required)
        - one of `"complete"`
      - `unavailableRelations` (`report-get-my-share-for-report.response.200.data.1.unavailableRelations`; array<unknown>, required)
      - `reportVersionNumber` (`report-get-my-share-for-report.response.200.data.1.reportVersionNumber`; number, required)
      - `reportVersionStatus` (`report-get-my-share-for-report.response.200.data.1.reportVersionStatus`; string, required)
    - `object`
      - `shareId` (`report-get-my-share-for-report.response.200.data.2.shareId`; string, required)
        - format `uuid`
      - `reportId` (`report-get-my-share-for-report.response.200.data.2.reportId`; string, required)
        - format `uuid`
      - `reportVersionId` (`report-get-my-share-for-report.response.200.data.2.reportVersionId`; string, required)
        - format `uuid`
      - `permission` (`report-get-my-share-for-report.response.200.data.2.permission`; string, required)
        - one of `"read"`, `"comment"`, `"suggest"`
      - `shareType` (`report-get-my-share-for-report.response.200.data.2.shareType`; string, required)
        - one of `"connection"`, `"email_invite"`
      - `relationState` (`report-get-my-share-for-report.response.200.data.2.relationState`; string, required)
        - one of `"unavailable"`
      - `unavailableRelations` (`report-get-my-share-for-report.response.200.data.2.unavailableRelations`; array<unknown>, required)
      - `reportVersionNumber` (`report-get-my-share-for-report.response.200.data.2.reportVersionNumber`; unknown, required, nullable)
        - one of `"null"`
      - `reportVersionStatus` (`report-get-my-share-for-report.response.200.data.2.reportVersionStatus`; unknown, required, nullable)
        - one of `"null"`
- `meta` (`report-get-my-share-for-report.response.200.meta`; object, optional)
  - `timestamp` (`report-get-my-share-for-report.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-my-share-for-report.response.400.error`; object, required)
  - `code` (`report-get-my-share-for-report.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-my-share-for-report.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-my-share-for-report.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-my-share-for-report.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-my-share-for-report.response.401.error`; object, required)
  - `code` (`report-get-my-share-for-report.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-my-share-for-report.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-my-share-for-report.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-my-share-for-report.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-my-share-for-report.response.403.error`; object, required)
  - `code` (`report-get-my-share-for-report.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-my-share-for-report.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-my-share-for-report.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-my-share-for-report.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-my-share-for-report.response.404.error`; object, required)
  - `code` (`report-get-my-share-for-report.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-my-share-for-report.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-my-share-for-report.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-my-share-for-report.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-my-share-for-report.response.500.error`; object, required)
  - `code` (`report-get-my-share-for-report.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-my-share-for-report.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-my-share-for-report.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-my-share-for-report.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/report-get-my-share-for-report/index.md
